Skip to main content
GET
Get a person reward

Authorizations

Authorization
string
header
required

Path Parameters

person_id
string
required

The Extole unique profile identifier of this user at Extole.

reward_id
string
required

Reward id parameter

Response

Successful response

campaign_id
string
required

Extole campaign id associated with this reward.

code
string
required

The reward code, that could be used in order to redeem the reward.

container
string
required

Campaign container the reward belongs to.

created_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

data
object
required

Named data parameters attached to this reward.

earned_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

expiry_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

face_value
number
required

Monetary or point face value of the reward.

face_value_type
enum<string>
required

Unit type of the face value (e.g. POINTS, PERCENT_OFF, USD).

Available options:
AUD,
BRL,
CAD,
CNY,
EUR,
GBP,
HKD,
INR,
JPY,
KRW,
MONTH,
MXN,
NZD,
PERCENT_OFF,
POINTS,
TRY,
TWD,
USD
id
string
required
read-only

Extole-assigned unique identifier for this reward.

image
string<uri>
required

An image associated with the reward. E.g.: a brand image.

Example:

"https://www.extole.com/wp-content/uploads/2023/07/Extole-logo.svg"

instructions
string
required

Instructions on how to redeem the reward.

journey_key
object
required
journey_name
string
required

Name of the journey associated with this reward.

A link associated with the reward. E.g.: a reward redemption link.

Example:

"https://www.extole.com"

name
string
required

Display name of the reward.

partner_reward_id
string
required

Partner-assigned identifier for this reward at the partner's system.

partner_reward_supplier_id
string
required

Partner-assigned identifier for the reward supplier.

program
string
required

Program key under which the reward was issued.

redeemed_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

reward_supplier_id
string
required

Extole reward supplier id that issued this reward.

sandbox
string
required

Sandbox identifier for this reward.

state
enum<string>
required

Current lifecycle state of the reward.

Available options:
CANCELED,
EARNED,
EXPIRED,
FAILED,
FULFILLED,
REDEEMED,
REVOKED,
SENT
tags
string[]
required

Tags applied to this reward.

Tags applied to this reward.

updated_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

value_of_rewarded_event
number
required

Monetary value of the event that triggered this reward.